=== debian/changelog ===
prometheus-node-exporter (1.9.1-1) unstable; urgency=medium

  * New upstream release
  * Refresh packaging according to latest dh-make-golang template
  * Drop unused golang-github-pkg-errors-dev Build-Depends
  * Bump Standards-Version to 4.7.2 (no changes)

 -- Daniel Swarbrick <dswarbrick@debian.org>  Tue, 12 Aug 2025 20:17:15 +0000
