=== debian/control ===
Source: prometheus-node-exporter
Section: golang
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Martina Ferrari <tina@debian.org>,
           Daniel Swarbrick <dswarbrick@debian.org>,
           Benjamin Drung <bdrung@debian.org>,
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-sequence-golang,
               golang-any,
               golang-dbus-dev,
               golang-github-beevik-ntp-dev,
               golang-github-coreos-go-systemd-dev,
               golang-github-dennwc-btrfs-dev,
               golang-github-ema-qdisc-dev,
               golang-github-hashicorp-go-envparse-dev,
               golang-github-hodgesds-perf-utils-dev,
               golang-github-josharian-native-dev,
               golang-github-jsimonetti-rtnetlink-dev,
               golang-github-mattn-go-xmlrpc-dev,
               golang-github-mdlayher-ethtool-dev,
               golang-github-mdlayher-netlink-dev,
               golang-github-mdlayher-wifi-dev,
               golang-github-opencontainers-selinux-dev,
               golang-github-prometheus-client-golang-dev (>= 1.19.0),
               golang-github-prometheus-client-model-dev,
               golang-github-prometheus-common-dev (>= 0.26),
               golang-github-prometheus-community-go-runit-dev,
               golang-github-prometheus-exporter-toolkit-dev (>= 0.13.0),
               golang-github-prometheus-procfs-dev (>= 0.15.1),
               golang-github-safchain-ethtool-dev (>= 0.0~git20201023.874930c),
               golang-golang-x-exp-dev,
               golang-golang-x-sys-dev,
               golang-gopkg-alecthomas-kingpin.v2-dev,
Testsuite: autopkgtest-pkg-go
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/go-team/packages/prometheus-node-exporter
Vcs-Git: https://salsa.debian.org/go-team/packages/prometheus-node-exporter.git
Homepage: https://github.com/prometheus/node_exporter
XS-Go-Import-Path: github.com/prometheus/node_exporter

Package: prometheus-node-exporter
Section: net
Architecture: any
Pre-Depends: ${misc:Pre-Depends},
Depends: adduser,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: dbus,
            prometheus-node-exporter-collectors,
Static-Built-Using: ${misc:Static-Built-Using}
Description: Prometheus exporter for machine metrics
 Prometheus exporter for machine metrics, written in Go with pluggable metric
 collectors.
