## prometheus-node-exporter 1.10.2

=== debian/changelog ===
prometheus-node-exporter (1.10.2-1) unstable; urgency=medium

  * New upstream release
  * Refresh patches
  * Drop unused golang-github-josharian-native-dev Build-Depends
  * Bump Build-Depends version constraints
    - golang-github-prometheus-client-golang-dev (>= 1.23.2)
    - golang-github-prometheus-common-dev (>= 0.67.1)
    - golang-github-prometheus-procfs-dev (>= 0.19.0)

 -- Daniel Swarbrick <dswarbrick@debian.org>  Wed, 31 Dec 2025 00:04:52 +0000
