=== debian/control ===
--- 
+++ 
@@ -16,19 +16,18 @@
                golang-github-ema-qdisc-dev,
                golang-github-hashicorp-go-envparse-dev,
                golang-github-hodgesds-perf-utils-dev,
-               golang-github-josharian-native-dev,
                golang-github-jsimonetti-rtnetlink-dev,
                golang-github-mattn-go-xmlrpc-dev,
                golang-github-mdlayher-ethtool-dev,
                golang-github-mdlayher-netlink-dev,
                golang-github-mdlayher-wifi-dev,
                golang-github-opencontainers-selinux-dev,
-               golang-github-prometheus-client-golang-dev (>= 1.19.0),
+               golang-github-prometheus-client-golang-dev (>= 1.23.2),
                golang-github-prometheus-client-model-dev,
-               golang-github-prometheus-common-dev (>= 0.26),
+               golang-github-prometheus-common-dev (>= 0.67.1),
                golang-github-prometheus-community-go-runit-dev,
                golang-github-prometheus-exporter-toolkit-dev (>= 0.13.0),
-               golang-github-prometheus-procfs-dev (>= 0.15.1),
+               golang-github-prometheus-procfs-dev (>= 0.19.0),
                golang-github-safchain-ethtool-dev (>= 0.0~git20201023.874930c),
                golang-golang-x-exp-dev,
                golang-golang-x-sys-dev,
